$ErrorActionPreference = 'Stop'

$packageName = $env:ChocolateyPackageName

$url_x86_64_msi = 'https://github.com/starship/starship/releases/download/v1.18.1/starship-x86_64-pc-windows-msvc.msi'
$url_i686_msi = 'https://github.com/starship/starship/releases/download/v1.18.1/starship-i686-pc-windows-msvc.msi'
$checksum_x86_64_msi = '9F97B6CBB7D0AAE39C58CAF3D2A8BB5771E3266DD101CA710DC5A97DB53D7FBD'
$checksum_i686_msi = '0AF6CAD0329FF90D826C81DD3F7844FFDBE41CC6CB6B2214A3FFB72B18E751ED'

$packageArgs = @{
    packageName    = $packageName
    fileType       = 'msi'
    url            = $url_i686_msi
    url64bit       = $url_x86_64_msi
    checksum       = $checksum_i686_msi
    checksum64     = $checksum_x86_64_msi
    checksumType   = 'sha256'
    softwareName   = 'starship*'
    silentArgs     = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
    validExitCodes = @(0, 3010, 1641)
}
Install-ChocolateyPackage @packageArgs

# Add to Profile
Write-Host "Add the following to the end of ~\Documents\PowerShell\Microsoft.PowerShell_profile.ps1 'Invoke-Expression (&starship init powershell)'"
